import { NgtreegridService } from '../ngtreegrid.service';
import { Configs } from '../models/Configs.model';
export declare class Store {
    private ngTreeGridService;
    processed_data: any[];
    raw_data: any[];
    display_data: any[];
    configs: Configs;
    group_keys: Object;
    processed_tree_data: Object;
    constructor(ngTreeGridService: NgtreegridService);
    getRawData(): any[];
    setRawData(raw_data: any): void;
    getProcessedData(processed_data: any): any[];
    setProcessedData(processed_data: any): void;
    getDisplayData(): any[];
    setDisplayData(display_data: any): void;
    filterBy(fields: any, search_values: any): void;
    selectAll(): void;
    deSelectAll(): void;
    /**
* Find path from root and assgn grouped data
*
* @param temp_traversed_paths It is the traversed path for the current group by key.
* @param index Current index of the leaf node
* @param group_by_data Generated group by data for the current leaf node
*/
    traverseRootData(temp_traversed_paths: string[], index: number, group_by_data: any): void;
    groupData(data: any, configs: any, internal_configs: any, edit_tracker: any, expand_tracker: any): void;
    groupByKey(data: any, group_by: any): {};
    processData(sort_type: any, sort_by: any, edit_tracker: any, expand_tracker: any): void;
    generateData(sort_type: any, sort_by: any, group_data: any, level: any, parent_key: any, expand_tracker: any): void;
    refreshDisplayData(): void;
}
