import { OnInit, EventEmitter } from '@angular/core';
import { Column } from '../../../../models/Column.model';
import { Configs } from '../../../../models/Configs.model';
import { Store } from '../../../../store/store';
export declare class TreeBodyComponent implements OnInit {
    store: Store;
    expand_tracker: Object;
    edit_tracker: Object;
    columns: Column[];
    configs: Configs;
    internal_configs: any;
    rowdelete: EventEmitter<any>;
    rowsave: EventEmitter<any>;
    rowdeselect: EventEmitter<any>;
    cellclick: EventEmitter<any>;
    loadingColspanCount: number;
    rowadd: EventEmitter<any>;
    rowexpand: EventEmitter<any>;
    rowcollapse: EventEmitter<any>;
    rowselect: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    fetchTraversedPaths(traversed_paths: any): Object;
    expandRow(id: any, row: any): void;
    collapseRow(id: any, rec: any): void;
    isEmpty(value: any): boolean;
    range(end: any): any[];
    rowAdd(row: any): void;
    saveRecord($event: any): void;
    cancelEdit(row_data: any): void;
    prepareRowClass(data: any): {
        child: boolean;
    };
    selectRow(row_data: any, event: any): void;
    selectRowOnCheck(row_data: any, event: any): void;
    /**
     * Set Select All config on Select change.
     *
     */
    setSelectAllConfig(): void;
    showSelectBox(row_data: any): any;
}
