import { OnChanges, EventEmitter } from '@angular/core';
import { Column } from './models/Column.model';
import { Configs } from './models/Configs.model';
import { NgtreegridService } from './ngtreegrid.service';
import { Store } from './store/store';
export declare class NgtreegridComponent implements OnChanges {
    private ngtreegridService;
    expand_tracker: Object;
    columns: Column[];
    edit_tracker: Object;
    internal_configs: any;
    default_configs: Configs;
    default_column_config: Column;
    store: Store;
    expand: EventEmitter<any>;
    collapse: EventEmitter<any>;
    cellclick: EventEmitter<any>;
    rowselect: EventEmitter<any>;
    rowdeselect: EventEmitter<any>;
    rowselectall: EventEmitter<any>;
    rowdeselectall: EventEmitter<any>;
    rowadd: EventEmitter<any>;
    rowsave: EventEmitter<any>;
    rowdelete: EventEmitter<any>;
    data: any[];
    configs: Configs;
    constructor(ngtreegridService: NgtreegridService);
    ngOnChanges(): void;
    setDefaultConfigs(): void;
    setColumnNames(): void;
    onExpandRow(row: any): void;
    onCollapseRow(rec: any): void;
    onRowSelect(row: any): void;
    sortColumn(column: any): void;
    addRowToGrid(): void;
    onRowAdd(rec: any): void;
    expandAll(): void;
    collapseAll(): void;
    selectAll(): void;
    deSelectAll(): void;
}
